System.ServiceModel 4.0.0.0 System.Object

When extending the class, you must implement the so that it returns an instance of this class corresponding to the binding element.

Describes encryption and signature requirements that apply to different parts of messages that are transmitted on this channel.

- Constructor
  4.0.0.0

  This default constructor sets the following properties to a new instance of , which is a class that specifies which parts are included in a message:

  ,

  ,

  , and

  .

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  This constructor sets the following properties to a new instance of , using the constructor, with as the input parameter. is a class that specifies which parts are included in a message:

  ,

  ,

  , and

  .

  Initializes a new instance of the class from another instance of this class.

  The other instance of .
- Method
  4.0.0.0
  System.Void `` To be added.

  Adds the parts collections in the specified to the current instance of this class.

  The specified .
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Adds the various parts collections in the specified to the current instance of this class.

  The specified . Specifies whether the scope is channel-only.
- Method
  4.0.0.0
  System.ServiceModel.Security.ChannelProtectionRequirements

  Incoming parts of the current instance of this class become outgoing parts of the new instance. Outgoing parts of the current instance of this class become incoming parts of the new instance.

  Creates a new instance of this class with incoming and outgoing parts reversed.

  A new instance of this class with incoming and outgoing parts reversed.

- Property
  4.0.0.0
  System.ServiceModel.Security.ScopedMessagePartSpecification To be added.

  This property is set in the constructor.

  Gets a collection of message parts that are encrypted for messages from client to server.

- Property
  4.0.0.0
  System.ServiceModel.Security.ScopedMessagePartSpecification To be added.

  This property is set in the constructor.

  Gets a collection of message parts that are signed for messages from client to server.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether this instance of the class is read-only.

- Method
  4.0.0.0
  System.Void

  is set to true, as are the corresponding properties on the parts collections.

  Sets this class and its part collections to read-only.

- Property
  4.0.0.0
  System.ServiceModel.Security.ScopedMessagePartSpecification To be added.

  This property is set in the constructor.

  Gets a collection of message parts that are encrypted for messages from server to client.

- Property
  4.0.0.0
  System.ServiceModel.Security.ScopedMessagePartSpecification To be added.

  This property is set in the constructor.

  Gets a collection of message parts that are signed for messages from server to client.